Bug 241753 - www/nginx: Can't build nginx-1.16.1_4,2 on FreeBSD 12.1-RELEASE with PASSENGER=ON
Summary: www/nginx: Can't build nginx-1.16.1_4,2 on FreeBSD 12.1-RELEASE with PASSENGE...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jochen Neumeister
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-06 10:36 UTC by linus.sundqvist
Modified: 2020-01-09 00:02 UTC (History)
5 users (show)

See Also:
bugzilla: maintainer-feedback? (joneum)


Attachments
nginx-1.16.1_4,2 build log (68.42 KB, text/plain)
2019-11-06 10:36 UTC, linus.sundqvist
no flags Details
Passenger patch (5.50 KB, patch)
2019-11-15 00:02 UTC, yani
no flags Details | Diff
Passenger patch (5.50 KB, application/octet-stream)
2019-11-15 00:34 UTC, yani
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description linus.sundqvist 2019-11-06 10:36:10 UTC
Created attachment 208908 [details]
nginx-1.16.1_4,2 build log

While trying to build nginx-1.16.1_4,2 for FreeBSD 12.1 with poudriere I get configure_error. Attached is the build-log.

www_nginx_SET+=PASSENGER HTTP_AUTH_LDAP HTTP_AUTH_PAM LUA
Comment 1 Jochen Neumeister freebsd_committer 2019-11-14 09:56:04 UTC
Hi linux,

the same here with 12.1 and CURRENT.

I am not sure, what you mean with this line: 
> www_nginx_SET+=PASSENGER HTTP_AUTH_LDAP HTTP_AUTH_PAM LUA

I will look for a patch
Comment 2 linus.sundqvist 2019-11-14 10:03:45 UTC
(In reply to Jochen Neumeister from comment #1)

Those are just my build-options at the moment, but it seems like PASSENGER is the option that makes building impossible :)
Comment 3 yani 2019-11-15 00:02:30 UTC
Created attachment 209156 [details]
Passenger patch

Please try the attached patch. I've modified "Makefile.extmod" to apply an extra patch to "system_calls.cpp" of the passenger module.
Comment 4 yani 2019-11-15 00:34:13 UTC
Created attachment 209157 [details]
Passenger patch

Sorry, the attachment is a tar file.
Comment 5 Matthias Fechner freebsd_committer 2019-11-15 07:05:56 UTC
(In reply to yani from comment #3)
thanks, the patch fixed it for me.
Comment 6 commit-hook freebsd_committer 2019-11-15 09:15:25 UTC
A commit references this bug:

Author: joneum
Date: Fri Nov 15 09:15:04 UTC 2019
New revision: 517639
URL: https://svnweb.freebsd.org/changeset/ports/517639

Log:
  This fix a Problem when PASSENGER=on

  src/cxx_supportlib/oxt/system_calls.cpp:135:9: note: expanded from macro 'CHECK_INTERRUPTION'
                          && (!this_thread::syscalls_interruptable() \
                               ^
  /usr/include/c++/v1/__threading_support:465:11: note: candidate found by name lookup is 'std::__1::this_thread'
  namespace this_thread
            ^
  src/cxx_supportlib/vendor-modified/boost/thread/pthread/condition_variable.hpp:30:15: note: candidate found by name lookup is 'boost::this_thread'
      namespace this_thread

  PR:		241753
  Submitted by:	yani@pi-greece.eu
  Reported by:	linus.sundqvist@loopia.se
  Sponsored by:	Netzkommune GmbH

Changes:
  head/www/nginx/Makefile.extmod
  head/www/nginx/files/extra-patch-passenger-system-calls
Comment 7 Jochen Neumeister freebsd_committer 2019-11-15 09:19:09 UTC
Thanks for the PR and the Patch :-)

I will add @osa as Maintainer for nginx-devel, i think Passenger has the same Problem on this Port
Comment 8 commit-hook freebsd_committer 2019-11-15 15:38:50 UTC
A commit references this bug:

Author: osa
Date: Fri Nov 15 15:38:09 UTC 2019
New revision: 517683
URL: https://svnweb.freebsd.org/changeset/ports/517683

Log:
  Merge the r517639 for third-party passenger module from the
  www/nginx to fix the build. (*)

  While I'm here sort pkg-plist.

  Bump PORTREVISION.

  PR:		241753 (*)

Changes:
  head/www/nginx-devel/Makefile
  head/www/nginx-devel/Makefile.extmod
  head/www/nginx-devel/files/extra-patch-passenger-system-calls
  head/www/nginx-devel/pkg-plist
Comment 9 Sergey A. Osokin freebsd_committer 2019-11-15 15:39:31 UTC
Committed, thanks!
Comment 10 Michael Kastner 2019-12-29 15:42:39 UTC
I apologize in advance for being ignorant and unknoweledgable on the ports update process.

I don't understand the patch process in this case. 

I am currently on on the FreeBSD 12.1. with the 2019Q4 quarterly branch which is supposed to be the _stable_ branch. This problem with passenger has been bugging me since moving from 2019Q3 to 2019Q4. I am unable to built it and it has taken me days until I've finally found this entry.

Here's my question: Why is the fix not merged into the stable 2019Q4 branch? I mean, shouldn't it? So 2019Q4 becomes stable?
Comment 11 Sergey A. Osokin freebsd_committer 2020-01-09 00:02:29 UTC
(In reply to Michael Kastner from comment #10)

Hi Michael,

thanks for your question.

Basically, we commit an update or a fix to the head branch of the FreeBSD ports tree.  In case we have a security issue, we usually merge a fix committed to the head branch to a quarterly branch as well, this procedure call MFH (merge from head).

In this particular case a build issue with www/nginx has been reported and that's not a security issue.  The fix has been committed to www/nginx and www/nginx-devel ports on Nov 15, 2019.  And it hasn't gone to the 2019Q4 quarterly branch because there were no additional or formal request to do that.

For now, 2020Q1 is created and that one should contain the fix.

Please let me know if you have any questions.